# $Revision: 1.9 $, $Date: 2008/06/17 18:14:09 $
%define		rname qca-gnupg
#
%define	snap	beta3
Summary:	Qt Cryptographic Architecture (QCA) GNU Privacy Guard plugin
Summary(pl.UTF-8):	Wtyczka GNU Privacy Guard dla Qt Cryptographic Architecture (QCA)
Name:		qt4-plugin-%{rname}
Version:	2.0.0
Release:	0.%{snap}.1
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://delta.affinix.com/download/qca/2.0/plugins/qca-gnupg-%{version}-%{snap}.tar.bz2
# Source0-md5:	9b4d020efd835a52d98b2ced9ae79c4b
URL:		http://delta.affinix.com/qca/
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qt4-qmake >= 4.3.3-3
Requires:	gnupg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir %{_libdir}/qt4/plugins/crypto

# chrpath stripping fails
%define		no_install_post_chrpath	1

%description
A plugin to provide GNU Privacy Guard capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%description -l pl.UTF-8
Wtyczka pozwalająca wykorzystać możliwości GNU Privacy Guard w
programach korzystających z Qt Cryptographic Architecture (QCA).

%prep
%setup -qn %{rname}-%{version}-%{snap}

%build
export QTDIR=%{_libdir}/qt4
./configure

qmake-qt4 %{rname}.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qt4-plugin-qca-gnupg.spec,v $
Revision 1.9  2008/06/17 18:14:09  arekm
- beta3

Revision 1.8  2008-04-07 07:07:25  arekm
- up to 2.0.0 beta2

Revision 1.7  2008-04-06 20:10:42  arekm
- rel .5

Revision 1.6  2008-03-19 09:14:36  arekm
- rel 4

Revision 1.5  2008-03-05 20:08:44  hawk
- %requires_eq QtCore, otherwise plugin doesn't work (ie. with psi)
- release 3

Revision 1.4  2008-01-04 20:19:51  qboosh
- use qmake-qt4, cleanup

Revision 1.3  2007-12-13 19:46:30  arekm
- rel .2

Revision 1.2  2007-10-18 06:09:13  ankry
- adapterized

Revision 1.1  2007/10/17 20:25:05  arekm
- new
